gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: twister updater s


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: twister updater script
Date: Fri, 02 Mar 2018 15:16:22 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 3b7dada  twister updater script
3b7dada is described below

commit 3b7dada3fa4a773680afc5fce28decf7be657444
Author: Marcello Stanisci <address@hidden>
AuthorDate: Fri Mar 2 15:15:53 2018 +0100

    twister updater script
---
 taler-build/update_twister.sh | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/taler-build/update_twister.sh b/taler-build/update_twister.sh
new file mode 100755
index 0000000..a315fa9
--- /dev/null
+++ b/taler-build/update_twister.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Run as:
+# $ ./update_twister.sh
+set -eu
+
+cd $HOME/twister/
+git clean -fdx
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
+./bootstrap
+./configure CFLAGS='-ggdb -O0' \
+  --prefix=$HOME/local \
+  --with-gnunet=$HOME/local \
+  --with-exchange=$HOME/local \
+  --enable-logging=verbose
+make
+make install

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]